device='0'
model='llava_v1.5_7B'
categories=("privacy" "bias" "toxicity" "hallucination" "legality")
# categories=("legality")

for category in "${categories[@]}"
do
    save_path="results/${category}_${model}.jsonl"

    if [ -f "$save_path" ]; then
        echo "Skipping $category. File $save_path already exists."
        continue
    fi

    python inference.py --model $model \
                    --save_path "$save_path" \
                    --data_path "data/MLLMGuard/${category}" \
                    --log_file "logs/evaluate-${category}_${model}.log" \
                    --device $device
done
